Bug 204121 - Review Request: tremulous - First Person Shooter game based on the Quake 3 engine
Review Request: tremulous - First Person Shooter game based on the Quake 3 en...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-25 14:28 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 02:35:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-08-25 14:28:03 EDT
Spec URL: http://people.atrpms.net/~hdegoede/tremulous.spec
SRPM URL: http://people.atrpms.net/~hdegoede/tremulous-1.1.0-1.src.rpm
Description:
Tremulous is a free, open source game that blends a team based FPS
with elements of an RTS.
Players can choose from 2 unique races, aliens and humans.
Players on both teams are able to build working structures in-game like an RTS.
These structures provide many functions, the most important being spawning.
The designated builders must ensure there are spawn structures or 
other players will not be able to rejoin the game after death.    
Other structures provide automated base defense (to some degree), 
healing functions and much more...

Player advancement is different depending on which team you are on.
As a human, players are rewarded with credits for each alien kill. 
These credits may be used to purchase new weapons and upgrades from the Armoury
The alien team advances quite differently. Upon killing a human foe,
the alien is able to evolve into a new class.
The more kills gained the more powerful the classes available.

The overall objective behind Tremulous is to eliminate the opposing team.
This is achieved by not only killing the opposing players but also 
removing their ability to respawn by destroying their spawn structures.

---

Notice that this package is build from a modified upstream source because the original upstream source contains a tool called lcc which is not Free Software. Luckily tremulous can be build without this just fine. So this package is build from a modified source with lcc removed.

Also notice that this package requires tremulous-data, which I will submit for review right after this and then post the bug no here.
Comment 1 Matthias Saou 2006-09-04 11:46:48 EDT
Preliminary comments :
- I would rename the tarball to something different from upstream in order to
make it impossible to get both confused, ever. Something like
%{name}-%{version}-src-nolcc.tar.gz maybe?
- The desktop file needs tremulous.xpm changed to tremulous.png
- You have -m64 in the BASE_CFLAGS set by your patch (probably unwanted even
though the spec file overrides it)
- Matthias takes two T's (%changelog) :-)
Comment 2 Hans de Goede 2006-09-04 14:33:47 EDT
(In reply to comment #1)
> Preliminary comments :
> - I would rename the tarball to something different from upstream in order to
> make it impossible to get both confused, ever. Something like
> %{name}-%{version}-src-nolcc.tar.gz maybe?
Done

> - The desktop file needs tremulous.xpm changed to tremulous.png
Fixed

> - You have -m64 in the BASE_CFLAGS set by your patch (probably unwanted even
> though the spec file overrides it)
Hmm, that probably is a left over from your or Warts sed s/// approach to fixing
the CFLAGS, its really harmless as it the affected part of the makefile only
gets used on SunOS :)

Anyways I've pruned this and a few other unneeded changes from the patch.

> - Matthias takes two T's (%changelog) :-)
Oops, fixed

Here is a new version with all this fixed:
Spec URL: http://people.atrpms.net/~hdegoede/tremulous.spec
SRPM URL: http://people.atrpms.net/~hdegoede/tremulous-1.1.0-2.src.rpm
Comment 3 Matthias Saou 2006-09-05 05:20:09 EDT
Great. Formal review now :-)
- rpmlint is silent, good
- fully GPL licensed, with GPL compatible bits, good
- name, spec file, sources seem all fine, good
- builds fine on both i386 and x86_64, good
- runs fine (menu, start a new server, enter the game), good

All other MUST/SHOULD items seem good too... APPROVED.
Comment 4 Hans de Goede 2006-09-06 02:35:26 EDT
Thanks!

Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.